%define name gimmix
%define version 0.5.7.1
%define release %mkrel 3
%define __libtoolize /bin/true

Summary:        Graphical music player daemon (MPD) client
Summary(de):	Grafischer Musk Player Deamon (MPD) Client
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Sound
License:        GPLv2+
URL:            http://gimmix.berlios.de/
Source0:        http://download.berlios.de/gimmix/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  gtk2-devel
BuildRequires:  libmpd-devel
BuildRequires:  libglade2.0_0-devel
BuildRequires:  taglib-devel
BuildRequires:  intltool
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  libcurl-devel
BuildRequires:  libnxml-devel
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes: %name < %{version}


%description
Gimmix is a graphical music player daemon (MPD) client written in C using
GTK+2. It's very simple and easy to use, yet offers many features to make
your audio experience a pleasant one.

#german
%description -l de
Gimmix ist ein grafischer Musik Player Deamon (MPD) Client,
geschrieben in C und nutzt GTK+2. Es ist sehr einfach und leicht
zu bedienen, bietet dabei viele Features, um das Audio-Erlebnis
angenehmer zu gestalten.


%prep
%setup -q


%build
autoreconf -fi
%configure2_5x \
      --enable-lyrics \
      --enable-cover

%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
 
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


# install icons
mkdir -p %buildroot{%_liconsdir,%_miconsdir}
install -m 0644 data/%{name}.png %{buildroot}%_miconsdir/%{name}.png
convert %{buildroot}%_miconsdir/%{name}.png -resize 16 %{buildroot}%_miconsdir/%{name}.png 
install -m 0644 data/%{name}.png %{buildroot}%_liconsdir/%{name}.png
convert %{buildroot}%_liconsdir/%{name}.png -resize 48 %{buildroot}%_liconsdir/%{name}.png
mkdir -p {buildroot}%_datadir/pixmaps
cp %{buildroot}%_liconsdir/%{name}.png %{buildroot}%_datadir/pixmaps/%{name}.png


%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/gimmix
%{_datadir}/gimmix/
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop
%{_datadir}/man/man1/gimmix.1.bz2
%_miconsdir/%{name}.png
%_liconsdir/%{name}.png

%changelog
* Fri Sep 10 2010 Texstar <texstar at gmail.com> 0.5.7.1-3pclos2010
- rebuild ldap

* Fri Jan 08 2010 Texstar <texstar at gmail.com> 0.5.7.1-2pclos2010
- rebuild

* Mon Nov 23 2009 slick50 <lxgator@gmail.com> 0.5.7.1-1pclos2010
- 0.5.7.1

* Sat Nov 14 2009 slick50 <lxgator@gmail.com> 0.5.7-1pclos2010
- initial build
